
package com.tmerclub.cloud.delivery.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 指定条件包邮城市项VO
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:01
 */
public class TranscityFreeVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "指定条件包邮城市项id")
    private Long transcityFreeId;

    @Schema(description = "指定条件包邮项id")
    private Long transfeeFreeId;

    @Schema(description = "城市id")
    private Long freeCityId;

    public Long getTranscityFreeId() {
        return transcityFreeId;
    }

    public void setTranscityFreeId(Long transcityFreeId) {
        this.transcityFreeId = transcityFreeId;
    }

    public Long getTransfeeFreeId() {
        return transfeeFreeId;
    }

    public void setTransfeeFreeId(Long transfeeFreeId) {
        this.transfeeFreeId = transfeeFreeId;
    }

    public Long getFreeCityId() {
        return freeCityId;
    }

    public void setFreeCityId(Long freeCityId) {
        this.freeCityId = freeCityId;
    }

    @Override
    public String toString() {
        return "TranscityFreeVO{" +
                "transcityFreeId=" + transcityFreeId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",transfeeFreeId=" + transfeeFreeId +
                ",freeCityId=" + freeCityId +
                '}';
    }
}
